/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/Services.jsm");

let EXPORTED_SYMBOLS = ["UnMHTAppInfo"];

/**
 * アプリケーション情報
 */
let UnMHTAppInfo = {
  /**
   * Firefox かどうかを返す
   *
   * @return Boolean
   *         Firefox かどうか
   */
  isFirefox : function () {
    return Services.appinfo.ID == "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}";
  },
  
  /**
   * Thunderbird かどうかを返す
   *
   * @return Boolean
   *         Thunderbird かどうか
   */
  isThunderbird : function () {
    return Services.appinfo.ID == "{3550f703-e582-4d05-9a08-453d09bdfdc6}";
  },
  
  /**
   * SeaMonkey かどうかを返す
   *
   * @return Boolean
   *         SeaMonkey かどうか
   */
  isSeaMonkey : function () {
    return Services.appinfo.ID == "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}";
  }
};
