/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let EXPORTED_SYMBOLS = ["UnMHTNGListDialogClass"];

/**
 * 保存失敗リストダイアログ
 *
 * @param  Window window
 *         対象のウィンドウ
 */
function UnMHTNGListDialogClass (window) {
  this.window = window;
}
UnMHTNGListDialogClass.prototype = {
  window : null, /* Window  対象のウィンドウ */
  
  /**
   * 破棄
   */
  destruct : function () {
    this.window = null;
  },
  
  /**
   * getElementById の省略
   */
  el : function (id) {
    return this.window.document.getElementById (id);
  },
  
  /**
   * ロードイベント
   */
  onLoad : function () {
    let param = this.window.arguments [0];
    
    this.el ("failed").value = param.ngList.join ("\n");
  },
  
  /**
   * アンロードイベント
   */
  onUnload : function () {
  }
};
